Bug 1450415 - [3.3] Installing containerized using the 3.3 playbooks may install other versions
Summary: [3.3] Installing containerized using the 3.3 playbooks may install other vers...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.3.1
Assignee: Scott Dodson
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On: 1448842 1450412
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-12 13:15 UTC by Scott Dodson
Modified: 2017-05-17 17:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When performing a containerized installation without setting openshift_image_tag the latest image was used to determine the correct version of the product to install. The latest tag may point at different releases based on whichever version was pushed most recently. Because of this we've modified the installer to default to the 'v3.3' tag when running the 3.3 installer so that we're sure to get the latest v3.3 release.
Clone Of: 1450412
Environment:
Last Closed: 2017-05-17 17:42:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Comment 3 Wenkai Shi 2017-05-15 09:48:04 UTC
Seems typo error:

# rpm -q atomic-openshift-utils
atomic-openshift-utils-3.3.81-1.git.0.60b41c9.el7.noarch
]# vim /usr/share/ansible/openshift-ansible/roles/openshift_version/tasks/set_version_containerized.yml
...
- name: Set default image tag based on OCP versus origin
  set_fact:
    l_image_tag: "{{ 'v3.4' if openshift.common.deployment_type == 'openshift-enterprise' else 'latest' }}"
...

Comment 6 Wenkai Shi 2017-05-16 02:39:45 UTC
Verified with version atomic-openshift-utils-3.3.82-1.git.0.af0c922.el7, installation succeed with correct tag.

Comment 8 errata-xmlrpc 2017-05-17 17:42:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.